/*
 * Soubor:  my_xml.h
 * Datum:   06.08.2012
 * Autor:   Stanislav Bárta, xbarta29@stud.fit.vutbr.cz
 * Projekt: IM modul
 * Popis:   hlavickovy soubor pro funkce zpracovavajici xml
 */

#ifndef _MY_XML_
#define _MY_XML_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "my_string.h"
#include "zpracovany_packet.h"

struct xml
{
	char *element;
	int pocet_atributu;
	char **atributy;
	char *obsah;
	struct xml *predchudce;
	int pocet_potomku;
	struct xml **potomci;
};


struct xml *analyza_stanzy(char *stanza);
void novy_element(struct xml *xml_struktura, struct xml *predchudce, char *jmeno);
void pridej_potomka(struct xml *xml_struktura, char *jmeno);
void pridej_atribut(struct xml *xml_struktura, char *atribut);
int porovnani_typu_atributu(char *atribut, char *vzor);
int porovnani_hodnoty_atributu(char *atribut, char *vzor);
char *ziskej_hodnotu_atributu(char *atribut);
void uvolneni_xml(struct xml *xml);

#endif
